#!/usr/bin/perl
#
# $Header: //sapdb/V76/develop/sys/src/install/perl/SAPDB/Install/App.pm#1 $
# $DateTime: 2004/03/11 10:29:37 $
# $Change: 66919 $
#
# Desc: start SAP DB installation/update/patch/instanceupgrade, called by SDBINST/SDBUPD
#

package SAPDB::Install::App::RegistryViewer;

BEGIN{
	$SAPDB::Install::Config{'NO_SPLASH'} = 1;
	require SAPDB::Install::LoadWx;	
}

use SAPDB::Install::InstallRegistry;
use SAPDB::Install::Registry;

our @ISA = qw (Wx::App);

# this is called automatically on object creation
sub OnInit {
  my( $this ) = @_;

  require SAPDB::Install::Frame::Explore;
  # create new MyFrame
  my( $frame ) = SAPDB::Install::Frame::Explore->new( "MaxDB InstallRegistry Viewer",
			       Wx::Point->new( 50, 50 ),
			       Wx::Size->new( 450, 350 )
                             );
  $this->SetTopWindow($frame);	

# set it as top window (so the app will automatically close when
  # the last top window is closed)
  #$frame->{'app'} = $this;

  # show the frame
  #$frame->Show( 1 );
  1;

}



sub OnCloseFrame{
	my ($self,$event) = @_;
	#$self->SetTopWindow(undef);
}

sub OnExit{
	my ($self) = @_;
	print ">>>>> Closing App\n"
		if $SAPDB::Install::DEBUG::DESTRUCT;
}

sub Destroy{
	my ($self) = @_;
	print ">>>>>> destroy APP\n"
		if $SAPDB::Install::DEBUG::DESTRUCT;
}

sub DESTROY{
	my ($self) = @_;
	print ">>>>> destroying $self\n"
		if $SAPDB::Install::DEBUG::DESTRUCT;
}


sub main{
	my ( $app ) = SAPDB::Install::App::RegistryViewer->new();
	
	my ($indep_data,$indep_prog) = readIndepPath();

	eval{
		package SAPDB::Install::DummyLog;
	
		sub new{
			my $class = shift;
			my %mem;
			return bless \%mem,$class; 
	}
		sub SetMsg{
			my ($self) = @_;
			return 1;
		}
		1; 
	}; 
	
	my $log = SAPDB::Install::DummyLog->new();	
 
	my $instReg;

	eval{
		$instReg = SAPDB::Install::InstallRegistry->new("$indep_data/config/install",0,$log);
	};

	if($@){
		$app->GetTopWindow->Destroy;
		return undef;		
	}

	my $data = $instReg->RegData();
	
	$app->GetTopWindow->AddData($data,'MaxDB Install Registry');

	
	
	if(caller eq 'SAPDB::Install::Start'){
		# start processing events
		$app->MainLoop();	
	}
	return 1;
}

1;
