#!/usr/bin/perl
#
# $Header: //sapdb/I00/develop/sys/src/install/perl/SAPDB/Install/StartInstall.pm#74 $
# $DateTime: 2003/06/19 08:09:01 $
# $Change: 46135 $
#
# Desc: start SAP DB installation/update/patch/instanceupgrade, called by SDBINST/SDBUPD


package SAPDB::Install::Dialog::About;

use Wx::Event qw (EVT_BUTTON EVT_SET_FOCUS);
use Wx qw (
	wxVERTICAL wxEXPAND wxALIGN_CENTER
	wxDefaultSize wxALIGN_TOP wxALIGN_CENTER_HORIZONTAL
	wxTOP wxBOTTOM wxALL);

use SAPDB::Install::Control::StaticText;
use SAPDB::Install::Window::Version;

our @ISA = qw(Wx::Dialog);

sub new{
	my($this ) = shift->SUPER::new(@_);
	$this->Move([300,200]);
	$this->SetSize([330,300]);
	$this->SetTitle('About');
	my $sizer = Wx::BoxSizer->new(wxVERTICAL);
	my $text = SAPDB::Install::Control::StaticText->new($this,-1);
	$text->{'font'} = Wx::Font->new(15);
	$text->SetLabel("MaxDB Installation Manager");
	$sizer->Add($text,1,wxALIGN_CENTER_HORIZONTAL | wxEXPAND | wxALL, 10);
	my $version = SAPDB::Install::Window::Version->new($this,-1,[0,0],[320,180]);
	$version->GetGridWindow->Enable(0);
	$this->{'version'} = $version;
	$sizer->Add($version,0,wxALIGN_TOP | wxALIGN_CENTER_HORIZONTAL);
	my $button = Wx::Button->new($this,456,'&OK',[0,0],wxDefaultSize);
	$sizer->Add($button,0,wxALIGN_CENTER | wxTOP | wxBOTTOM, 15);	
	$this->SetSizerAndFit($sizer);
	EVT_BUTTON($this,456,sub {my ($self) = @_; $self->Close(1);});
	EVT_SET_FOCUS($version,sub{$button->SetFocus});
	$this->Layout;
	$button->SetDefault();
	$button->SetFocus;
	$this->ShowModal;
	return $this;
}

sub Destroy{
	my ($self) = @_;
	while($self->GetSizer->Remove(0)){}
	$self->{'text'}->Destroy;
	delete $self->{'text'};
	$self->{'version'}->Destroy;
	delete $self->{'version'};
	$self->SUPER::Destroy;
}


sub DESTROY{
	my ($self) =  @_;
	print ">>>> DESTROY $self\n"
		if $SAPDB::Install::DEBUG::DESTRUCT;
}


1;
