#!/usr/bin/perl
#
# $Header: //sapdb/V76/develop/sys/src/install/perl/SAPDB/Install/App.pm#1 $
# $DateTime: 2004/03/11 10:29:37 $
# $Change: 66919 $
#
# Desc: start SAP DB installation/update/patch/instanceupgrade, called by SDBINST/SDBUPD

package SAPDB::Install::Frame::Installer;

use Wx::Event qw (EVT_SIZE);

use Wx qw (wxWHITE wxDefaultSize);

use SAPDB::Install::Frame::Base;
use SAPDB::Install::Window::Banner;
use SAPDB::Install::Window::Wizard;
use SAPDB::Install::Wizard::Dialog::Welcome;
use SAPDB::Install::Wizard::Dialog::Collector;
use SAPDB::Install::Wizard::Dialog::Prepare;
use SAPDB::Install::Wizard::Dialog::Install;	
use SAPDB::Install::Wizard::Dialog::Finalize;		


our @ISA = qw (SAPDB::Install::Frame::Base);

sub new {
 	my( $class ) = shift;
	my ($config) = shift;
	my( $this ) = $class->SUPER::new($_[0], $_[1], $_[2] );
	$this->{'config'} = $config;
	#$this->SetBackgroundColour(wxWHITE);
	$this->{'banner'} = SAPDB::Install::Window::Banner->new($this,-1,[0,0],[$this->GetClientSize->GetWidth,80]);
	$this->{'wizard'} = SAPDB::Install::Window::Wizard->new($this,-1,[0,80],[$this->GetClientSize->GetWidth,$this->GetClientSize->GetHeight - 80]);
	
	unless (defined $this->{'config'}->{'components'}){	
	
		$this->{'wizard'}->AddStep({'name' => 'Welcome',
									'dlg' => SAPDB::Install::Wizard::Dialog::Welcome->new($this->{'wizard'}->{'dlg_space'},-1,[0,0],wxDefaultSize)}
									);
	}
	$this->{'wizard'}->AddStep({'name' => 'Package Selection',
								'dlg' => SAPDB::Install::Wizard::Dialog::Collector->new($this->{'wizard'}->{'dlg_space'},-1,[0,0],wxDefaultSize)}
								);
	$this->{'wizard'}->AddStep({'name' => 'Prepare Installation',
								'dlg' => SAPDB::Install::Wizard::Dialog::Prepare->new($this->{'wizard'}->{'dlg_space'},-1,[0,0],wxDefaultSize)}
								);
	$this->{'wizard'}->AddStep({'name' => 'Installation',
								'dlg' => SAPDB::Install::Wizard::Dialog::Install->new($this->{'wizard'}->{'dlg_space'},-1,[0,0],wxDefaultSize)}
								);
						
	$this->{'wizard'}->AddStep({'name' => 'Finalization',
								'dlg' => SAPDB::Install::Wizard::Dialog::Finalize->new($this->{'wizard'}->{'dlg_space'},-1,[0,0],wxDefaultSize)}
								);
	$this->{'wizard'}->init;

	EVT_SIZE($this,\&OnSize);
	$this->Show(1);
      $this;
}

sub OnSize{
	my ($self,$event) = @_;
	$self->{'banner'}->SetSize([$self->GetClientSize->GetWidth,80]);	
	$self->{'wizard'}->SetSize([$self->GetClientSize->GetWidth,$self->GetClientSize->GetHeight - 80]);
	return 1;
}

1;
