#!/usr/bin/perl
#
# $Header: //sapdb/V76/c_00/b_27/sys/src/install/perl/SAPDB/Install/Grid/CellPasswdEditor.pm#1 $
# $DateTime: 2006/04/27 14:44:55 $
# $Change: 124736 $
#
# Desc: start SAP DB installation/update/patch/instanceupgrade, called by SDBINST/SDBUPD


package SAPDB::Install::Grid::CellPasswdEditor;


use base Wx::PlGridCellEditor;
use Wx qw(wxTE_PASSWORD WXK_TAB wxWANTS_CHARS wxTE_PROCESS_TAB);
use Wx::Event qw(EVT_TEXT EVT_KILL_FOCUS EVT_KEY_DOWN);
sub Create {
  my ( $self, $parent, $id, $evthandler ) = @_;
  return 1 if exists  $self->{text_ctrl};
  $self->{text_ctrl} = Wx::TextCtrl->new( $parent, $id, '',[0,0],[-1,-1],wxTE_PASSWORD | wxTE_PROCESS_TAB);
  EVT_TEXT($parent,$self->{text_ctrl}->GetId,\&OnTextChange);
  if($evthandler){
	bless $evthandler ,'Wx::EvtHandler';
	$self->{text_ctrl}->PushEventHandler($evthandler);
  } 	
  return 1;
}  

sub OnTextChange{
	my ($parent,$evt) = @_;
	my $ctrl = $parent->FindWindow($evt->GetId);
	my $insert_point = $ctrl->GetInsertionPoint; 
	my $value = $ctrl->GetValue;
	my $count;
	my $diff;
	if(length($value) > 8){
		$diff = length($value) - 8;
		my $pos = $insert_point - $diff;
		$count = ($value =~ s/^(.{$pos}).{$diff}(.*)/$1$2/);
	}
	if($count > 0){
		$ctrl->SetValue($value);
		$ctrl->SetInsertionPoint($insert_point - $count);
	}
}



sub SetSize {
  my( $self, $size ) = @_;
  $self->{text_ctrl}->SetSize( $size );
}

sub Show {
  my( $self, $show, $attr ) = @_;
  $self->{text_ctrl}->Show( $show );
}


sub EndEdit {
	my( $self, $row, $col, $grid ) = @_;
	my $changed = ($self->{text_ctrl}->GetValue ne
			 $grid->GetCellValue( $row, $col )); 
	
	$grid->SetCellValue( $row, $col, $self->{text_ctrl}->GetValue )
		 if $changed;
 	return $changed;
}

sub BeginEdit {
	my( $self, $row, $col, $grid ) = @_;
	$self->{'text_ctrl'}->SetValue($grid->GetCellValue( $row, $col));
	$self->{'text_ctrl'}->SetFocus;
	$self->{'text_ctrl'}->SetSelection(-1,-1);
	return 1;
}


sub Destroy{
	my ($self) = @_;
	$self->{text_ctrl}->Destroy if defined $self->{text_ctrl};
}

1;
