#!/usr/bin/perl
#
# $Header: //sapdb/V76/c_00/b_27/sys/src/install/perl/SAPDB/Install/User/SyncMan/Config/MsgServer.pm#1 $
# $DateTime: 2006/04/27 14:44:55 $
# $Change: 124736 $
#
# Desc: 

package SAPDB::Install::User::SyncMan::Config::MsgServer;

use SAPDB::Install::User::Config::Base;
use SAPDB::Install::User::Config::Helpers;
use SAPDB::Install::User::SyncMan::Acc;

our @ISA = qw(SAPDB::Install::User::Config::Base);

our @msgsrv_params = (
	{	'name' => 'DB_HOST',
		'desc' => 'database host',
		'default' => '127.0.0.1',
		'validator' => sub {
							my ($host) =@_;
							return 0 if $host !~ /\S/;
							return 1; 
						}
	},
	{	'name' => 'DB_NAME',
		'desc' => 'database name',
		'default' => 'MAXDB1',
		'validator' => \&check_dbname
	},
	{	'name' => 'USER',
		'desc' => 'database user',
		'default' => 'DBSERVICE',
		'validator' => sub {
							my ($host) =@_;
							return 0 if $host !~ /\S/;
							return 1; 
						}
	},
	{	'name' => 'PASSWORD',
		'desc' => 'password of database user',
		'default' => 'SECRET',
		'validator' => \&check_passwd,
		'type' => 'PASSWORD'
	},
	#{	'name' => 'MSG_SERVER',
	#	'desc' => 'message server host',
	#	'default' => '127.0.0.1',
	#	'validator' => sub {
	#						my ($host) =@_;
	#						return 0 if $host !~ /\S/;
	#						return 1; 
	#					}
	#},
	{	'name' => 'MSG_SERVER_PASSWORD',
		'desc' => 'message server admin password',
		'default' => 'MSGSERVERADMIN',
		'validator' => \&check_passwd_jms_adm,
		'type' => 'PASSWORD'
	},
	{	'name' => 'MSG_SERVER_ADMIN_PORT',
		'desc' => 'message server admin port',
		'default' => '7220',
		'validator' => \&check_port
	},
	{	'name' => 'JNDI_SERVER_PORT',
		'desc' => 'JNDI port',
		'default' => '7221',
		'validator' => \&check_port
	},
	{	'name' => 'MSG_SERVER_PORT',
		'desc' => 'JMS port',
		'default' => '7222',
		'validator' => \&check_port
	},
	
	
);

sub new{
	my $self = shift->SUPER::new(@_);
	$self->{'params'} = \@msgsrv_params;
	return $self;
}

sub load{
	my ($self) = @_;
	$self->{'configuration'} = {};
	unless(exists $self->{'syncmanacc'} && defined $self->{'syncmanacc'}){
		$self->{'syncmanacc'} = SAPDB::Install::User::SyncMan::Acc->new('MESSAGESERVER');
		unless(defined $self->{'syncmanacc'}){
			return 0;
		}
	}
	if($self->{'syncmanacc'}->list($self->{'configuration'}) != 0){
		return 0;
	}
	return 1;
}

sub write{
	my ($self) = @_;
	unless(exists $self->{'syncmanacc'} && defined $self->{'syncmanacc'}){
		$self->{'syncmanacc'} = SAPDB::Install::User::SyncMan::Acc->new('MESSAGESERVER');
		unless(defined $self->{'syncmanacc'}){
			return 0;
		}
	}
	$self->{'configuration'}->{'MSG_SERVER'} = '127.0.0.1';
	if ($self->{'syncmanacc'}->set($self->{'configuration'}) != 0){
		return 0;
	}
	return 1;
}

1;