#!/usr/bin/perl
#
# $Header: //sapdb/V76/c_00/b_27/sys/src/install/perl/SAPDB/Install/Values.pm#1 $
# $DateTime: 2006/04/27 14:44:55 $
# $Change: 124736 $
#
# Desc: 

package SAPDB::Install::Values;

require SDB::Common::Exporter;

our @ISA = qw (SDB::Common::Exporter);
our @EXPORT = ('$owner','$uid', '$group', '$gid', '$node', '$chmod_nrm',
               '$chmod_exe', '$chmod_suid', '$curDir', '$diemsg',
			   '$ini_path','$product','$caption');     

use SAPDB::Install::Cwd;

#print "initialize variables\n";
$owner="";
$uid=0;
$group="";
$gid=0; 
$node="";
$log;
$indep_prog_path;
$indep_data_path;
$liveCachePath;
$APO_release;


$interface_version=0.1; # installer interface version
$chmod_nrm=0444;
$chmod_exe=0555;
$chmod_suid=06551;

$diemsg="installation exited abnormally ";

$product='MaxDB Software';

$ini_path = '/usr/spool/sql/ini/SAP_DBTech.ini';

$glob_path = '/etc/opt/sdb';

$TraceFileName = 'maxdb_installer_trace';


$curDir;

local $log; # log object
if(-d $SAPDB::Install::Config{'CallerDir'}){
	$curDir = $SAPDB::Install::Config{'CallerDir'};
	$curDir=~s/\\/\//g;
}
else{
	$curDir = SAPDB::Install::Cwd::getcwd();
	$curDir=~s/\\/\//g;
}

%package_interface=(
	'INTERFACE_VERSION' => undef,	 # interface for installer "SDBINST" , if not match -> invalid package 
	'PACKAGE_NAME' => undef,		 # name of package, (Server, Independent, Webtools,...) >>>unique package type identifier<<<
	'DISPLAY_NAME' => undef,		 # name of package visible from outside
	'DBG_PACKAGE' => undef,			 # name of debug package, containing diagnostic components
	'PACKAGE_VERSION' => undef,		 # package release - important if there are more than one package with same software (maybe with few different files)
	'PACKAGE_MD5SUM' => undef,		 # used in debug packages to verify it's sw package
	'SOFTWARE_VERSION' => undef,	 # real software release in this format MAJ.MIN.COR.PAT (7.3.0.15)
	'MIN_VERSION' => undef,			 # software version an installed package must have to be updated with this one
	'TEST_FILE' => undef,			 # executable used to check build number and what string
	'MAGIC_MODE' => undef,			 # mode to test what string: 32TO64 | 64TO32 | EQUAL | NOBIT
	'MODE' => undef,				 # object mode: 32 | 64
	'ALLOW_SKIP' => undef,			 # allow installer to skip package in update case if magic or version dont match -> if not set - abort installation process in such case
	'TYPE' => undef,				 # kind of package, only PATCH | FULL possible
	'DEFAULT_USER' => undef,		 # unix specific default os user	 
	'DEFAULT_GROUP' => undef,		 # unix specific default os group
	'PART_OF' => undef,				 # installation profile (Server,Client,SDK, ... )
	'IS_TOP_OF' => undef,			 # installation profile (package "Database Kernel" is top of profile "Server")
	'REQUIRE' => undef,				 # dependencies to other packages 
	'SCRIPT' => undef,				 # name of install script, has to be 
	'FILELIST' => undef,			 # name of filelist
	'ARCHIVE_NAME' => undef,		 # name of tgz archive, dont need it in signature file
	'IS_SUBPACKAGE' => undef,		 #  boolean value - is subpackage of first member of "REQUIRE" list  
	'SUB_DIR' => undef,				 # string value which defines part of package path which differs from parent package path 
	'SIZE' => undef,				 # decompressed size of software
	'MAGIC' => undef,				 # magic string of TEST_FILE
	'SYSINFO.SYSTEM' => undef,		 # operating system of make machine 
	'SYSINFO.ARCHITECTURE' => undef, # architecture of make machine 
	'SYSINFO.VERSION' => undef,		 # operating system version of make machine 
	'SYSINFO.SUBVERSION' => undef,	 # operating system subversion of make machine 
	'SYSINFO.C_RUNTIME' => undef,	 # c runtime version of make machine
	'SYSINFO.CPP_RUNTIME' => undef,	 # c++ runtime version of make machine			
	'SYSINFO.CPP_RUNTIME64' => undef,# c++ 64 bit runtime version of make machine
	'OS' => undef,					 # operating system name
	'ARCHITECTURE' => undef,		 # architecure name
	'CC' => undef,					 # c compiler
	'CXX' => undef,					 # c++ compiler
	'BUILD_STRING' => undef,		 # whole buildstring including kernel purpose, qa state and changelist id
	'MAKE_ID' => undef,				 # unique make indentifier  	
	'DESC' => undef					 # short package decription text 

);

1;