#!/usr/bin/perl
#
# $Header: //sapdb/V76/c_00/b_27/sys/src/install/perl/SAPDB/Install/Window/FindBar.pm#1 $
# $DateTime: 2006/04/27 14:44:55 $
# $Change: 124736 $
#
# Desc: 


package SAPDB::Install::Window::FindBar;

use Wx qw(wxHORIZONTAL wxEXPAND
		  wxALL wxALIGN_CENTER_VERTICAL
		  wxRIGHT);
use Wx::Event qw(EVT_BUTTON EVT_TOGGLEBUTTON EVT_TEXT EVT_COMMAND EVT_CHECKBOX);

require SDB::Common::Exporter;

our @ISA = qw (SDB::Common::Exporter);
our @EXPORT = qw (EVT_SDB_FIND_NEXT
				  EVT_SDB_FIND_PREVIOUS
				  EVT_SDB_FIND_HIGHLIGHT
				  EVT_SDB_FIND_MATCH_CASE
				  EVT_SDB_FIND_TEXT	
				  SDB_EVENT_TYPE_FIND_NEXT 
				  SDB_EVENT_TYPE_FIND_PREVIOUS
				  SDB_EVENT_TYPE_FIND_HIGHLIGHT
				  SDB_EVENT_TYPE_FIND_MATCH_CASE
				  SDB_EVENT_TYPE_FIND_TEXT);

use base Wx::Panel;

sub new{
	my ($self ) = shift->SUPER::new (@_);
	my $sizer = Wx::BoxSizer->new (wxHORIZONTAL);
	$self->{'stext'} = Wx::StaticText->new ($self,-1,'Find:');
	$self->{'text_ctrl'} = Wx::TextCtrl->new ($self,-1,'',[-1,-1],[30,-1]);
	$self->{'nbutton'} = Wx::Button->new ($self,-1,'Find Next');
	$self->{'pbutton'} = Wx::Button->new ($self,-1,'Find Previous');
	$self->{'cb_matchcase'} = Wx::CheckBox->new ($self,-1,'Match case');
	$self->{'nbutton'}->Enable(0);
	$self->{'pbutton'}->Enable(0);
	$self->{'cb_matchcase'}->Enable(0);
	$sizer->Add ($self->{'stext'},0,wxALIGN_CENTER_VERTICAL | wxRIGHT,5);
	$sizer->Add ($self->{'text_ctrl'},1,wxEXPAND | wxALIGN_CENTER_VERTICAL | wxRIGHT,5);
	$sizer->Add ($self->{'nbutton'},0,wxALIGN_CENTER_VERTICAL | wxRIGHT,5);
	$sizer->Add ($self->{'pbutton'},0,wxALIGN_CENTER_VERTICAL | wxRIGHT,5);
	$sizer->Add ($self->{'cb_matchcase'},0,wxALIGN_CENTER_VERTICAL | wxRIGHT,5);
	$self->SetSizerAndFit ($sizer);
	EVT_BUTTON ($self,$self->{'nbutton'}->GetId,\&OnNext);
	EVT_BUTTON ($self,$self->{'pbutton'}->GetId,\&OnPrevious);
	EVT_CHECKBOX ($self,$self->{'cb_matchcase'}->GetId,\&OnMatchCase);
	EVT_TEXT ($self,$self->{'text_ctrl'}->GetId,\&OnText);
	$self->SetAutoLayout (1);
	return $self;
}

sub SDB_EVENT_TYPE_FIND_NEXT {
	return 8763;
}

sub SDB_EVENT_TYPE_FIND_PREVIOUS {
	return 8764;
}

sub SDB_EVENT_TYPE_FIND_HIGHLIGHT {
	return 8765;
}

sub SDB_EVENT_TYPE_FIND_TEXT {
	return 8766;
}
sub SDB_EVENT_TYPE_FIND_MATCH_CASE {
	return 8767;
}

sub EVT_SDB_FIND_NEXT{
	my ($handler,$id,$sub) = @_;
	EVT_COMMAND ($handler,$id,SDB_EVENT_TYPE_FIND_NEXT,$sub);
}

sub EVT_SDB_FIND_PREVIOUS{
	my ($handler,$id,$sub) = @_;
	EVT_COMMAND ($handler,$id,SDB_EVENT_TYPE_FIND_PREVIOUS,$sub);
}

sub EVT_SDB_FIND_HIGHLIGHT{
	my ($handler,$id,$sub) = @_;
	EVT_COMMAND ($handler,$id,SDB_EVENT_TYPE_FIND_HIGHLIGHT,$sub);
}

sub EVT_SDB_FIND_MATCH_CASE{
	my ($handler,$id,$sub) = @_;
	EVT_COMMAND ($handler,$id,SDB_EVENT_TYPE_FIND_MATCH_CASE,$sub);
}

sub EVT_SDB_FIND_TEXT{
	my ($handler,$id,$sub) = @_;
	EVT_COMMAND ($handler,$id,SDB_EVENT_TYPE_FIND_TEXT,$sub);
}


sub OnPrevious{
	my ($self,$evt) = @_;
	
	#
	# recycle event object for own purposes 
	#

	$evt->SetId($self->GetId);
	$evt->SetEventType(SDB_EVENT_TYPE_FIND_PREVIOUS);
	$self->GetParent->AddPendingEvent($evt);
}


sub OnNext{
	my ($self,$evt) = @_;
	
	#
	# recycle event object for own purposes 
	#
	
	$evt->SetId($self->GetId);
	$evt->SetEventType(SDB_EVENT_TYPE_FIND_NEXT);
	$self->GetParent->AddPendingEvent($evt);
}

sub OnHighlight{
	my ($self,$evt) = @_;
	
	#
	# recycle event object for own purposes 
	#

	$evt->SetId($self->GetId);
	$evt->SetEventType(SDB_EVENT_TYPE_FIND_HIGHLIGHT);
	$evt->SetString($self->{'text_ctrl'}->GetValue);
	$self->GetParent->AddPendingEvent($evt);
}

sub OnMatchCase{
	my ($self,$evt) = @_;
	
	#
	# recycle event object for own purposes 
	#

	$evt->SetId($self->GetId);
	$evt->SetEventType(SDB_EVENT_TYPE_FIND_MATCH_CASE);
	$evt->SetString($self->{'text_ctrl'}->GetValue);
	$self->GetParent->AddPendingEvent($evt);
}


sub Enable{
	my ($self,$enable) = @_;
	if ($enable){
		$self->SUPER::Enable (1);
		if ($self->{'text_ctrl'}->GetValue () eq ''){
			$self->{'nbutton'}->Enable (0);
			$self->{'pbutton'}->Enable (0);
			$self->{'cb_matchcase'}->Enable (0);
		}			
	}else{
		$self->SUPER::Enable(0);
	}
}


sub OnText{
	my ($self,$evt) = @_;
	my $value = $evt->GetString;
	if ($value eq ''){
		$self->{'nbutton'}->Enable (0);
		$self->{'pbutton'}->Enable (0);
		$self->{'cb_matchcase'}->Enable (0);
	}
	else{
		$self->{'nbutton'}->Enable (1);
		$self->{'pbutton'}->Enable (1);
		$self->{'cb_matchcase'}->Enable (1);
	}
	
	#
	# recycle event object for own purposes 
	#
	
	$evt->SetId($self->GetId);
	$evt->SetEventType(SDB_EVENT_TYPE_FIND_TEXT);
	$self->GetParent->AddPendingEvent($evt);
}


sub Destroy{
	my ($self) = @_;
	while ($self->GetSizer->Remove (0)){}
	$self->{'stext'}->Destroy ();
	$self->{'text_ctrl'}->Destroy ();
	$self->{'nbutton'}->Destroy ();
	$self->{'pbutton'}->Destroy ();
	$self->{'cb_matchcase'}->Destroy ();
	$self->SUPER::Destroy ();
}

1;

