package SAPDB::Install::Window::Volumes;

use base SAPDB::Install::Grid::Base;

our @columns = (
	{
		'label' => 'Name',
		'struct_key' => 'Name',
		'type' => 'string',
		'is_primary' => 1,
		'readonly' => 0
	},
	{
		'label' => 'Mode',
		'struct_key' => 'Art',
		'type' => 'voltype',
		'init_new' => 1,
		'readonly' => 0
	},
	{
		'label' => 'Location',
		'struct_key' => 'Location',
		'type' => 'path',
		'init_new' => 1,
		'readonly' => 0
	},
	{
		'label' => 'Type',
		'struct_key' => 'Type',
		'type' => 'string',
		'init_new' => 1,
		'readonly' => 1
	},
	{	'label' => 'Size in MB',
		'struct_key' => 'Size',
		'type' => 'size_pages',
		'init_new' => 1,
		'readonly' => 0
	}
);

sub SetValue{
	my ($self,$vols) = @_;
	return undef unless(ref($vols) eq 'ARRAY');	
	my $rc = $self->SUPER::init(\@columns,$vols);
	$self->EnableAddRemoveRows(\@columns);
	return $rc;
}

sub Fit{
	my ($self) = @_;
	return $self->SUPER::Fit(\@columns);
}


sub GetValue{
	my ($self) = @_; 
	return $self->SUPER::GetValue(\@columns);
}


sub Destroy{
	my ($self) = @_;
	$self->SUPER::Destroy;
}

sub DESTROY{
	my ($self) = @_;
	print ">>>>> destroying $self\n"
		if $SAPDB::Install::DEBUG::DESTRUCT;
}


1;