package SAPDB::Install::Window::VolumesOneMode;

use base SAPDB::Install::Grid::Base;

our @columns = (
	{
		'label' => 'Name',
		'struct_key' => 'Name',
		'type' => 'string',
		'is_primary' => 1,
		'readonly' => 0
	},
	{
		'label' => 'Directory',
		'struct_key' => 'Location',
		'type' => 'path',
		'init_new' => 1,
		'readonly' => 0
	},
	{
		'label' => 'Type',
		'struct_key' => 'Type',
		'type' => 'string',
		'init_new' => 1,
		'readonly' => 1
	},
	{	'label' => 'Size in MB',
		'struct_key' => 'Size',
		'type' => 'size_pages',
		'init_new' => 1,
		'readonly' => 0
	}
);


sub SetValue{
	my ($self,$vols) = @_;
	return undef unless(ref($vols) eq 'ARRAY');	
	foreach my $vol (@$vols){
		$vol->{'Type'} = 'File' if $vol->{'Type'} eq 'F';  	
	}
	my $rc = $self->SUPER::init(\@columns,$vols);
	$self->EnableAddRemoveRows(\@columns);
	return $rc;
}

sub GetValue{
	my ($self) = @_;
	my $vols = $self->SUPER::GetValue(\@columns);
	foreach my $vol (@$vols){
		$vol->{'Type'} = 'F' if $vol->{'Type'} eq 'File';  	
	}
	return $vols;
}

sub Fit{
	my ($self) = @_;
	return $self->SUPER::Fit(\@columns);
}

sub Destroy{
	my ($self) = @_;
	$self->SUPER::Destroy;
}

sub DESTROY{
	my ($self) = @_;
	print ">>>>> destroying $self\n"
		if $SAPDB::Install::DEBUG::DESTRUCT;
}


1;