#
# =====================================================
# @(#) Repository                 7.6        2005-04-13
# =====================================================
# Created in  7.4:
#
#
#    ========== licence begin  GPL
#    Copyright (c) 2000-2005 SAP AG
#
#    This program is free software; you can redistribute it and/or
#    modify it under the terms of the GNU General Public License
#    as published by the Free Software Foundation; either version 2
#    of the License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#    ========== licence end

from installib import *

def install (session,options):
    """Installing tables for Repository
    """

    loaderCmd (session, 'INSTALLATION ON')

    loaderCmd (session, 'AUTOCOMMIT OFF')

    requireSysdba (session)

    #----------------------------------------------------------------------------
    # Create tables shared repository
    #----------------------------------------------------------------------------

    stopIfSqlNotErr (session, -6006, 'CREATE SCHEMA SYSREPOSITORYSHARED')

    switchToSchema (session, 'SYSREPOSITORYSHARED')

    #----------------------------------------------------------------------------
    # Create table WEBDAV_CONTENT
    #----------------------------------------------------------------------------
    if not existsTable (session, "WEBDAV_CONTENT"):
        stopIfSqlNotOK (session, """
            CREATE TABLE "WEBDAV_CONTENT"
            (
	            "CID"               Char (24)   BYTE  NOT NULL,
	            "SHORT_CONTENT"     Char (8000) BYTE,
	            "LONG_CONTENT"      Long        BYTE,
	            "VIEWOWNER"         Char (32)   ASCII DEFAULT USERGROUP,
	            PRIMARY KEY ("CID")
            ) INTERNAL""")

    #----------------------------------------------------------------------------
    # Create table WEBDAV_NODE
    #----------------------------------------------------------------------------
    if not existsTable (session, "WEBDAV_NODE"):
        stopIfSqlNotOK (session, """
            CREATE TABLE "WEBDAV_NODE"
            (
	            "PID"               Char  (24)  BYTE   NOT NULL,
	            "CID"               Char  (24)  BYTE,
	            "NAME"              Char  (500) ASCII  NOT NULL,
	            "COMPRESSEDLENGTH"  Fixed (10,0)       DEFAULT 0,
	            "XDB_DOC_ID"        Fixed (20,0),
	            "VIEWOWNER"         Char  (32)  ASCII  DEFAULT USERGROUP,
	            PRIMARY KEY ("PID", "NAME")
            ) INTERNAL""")

        if existsTable (session, "WEBDAV_NODE"):
            stopIfSqlNotOK (session, """
                INSERT WEBDAV_NODE
                (PID, CID, NAME, COMPRESSEDLENGTH, XDB_DOC_ID, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000000',
                 x'000000000000000000000000000000000000000000000000', '', 0, NULL, 'PUBLIC')
            """)

    #----------------------------------------------------------------------------
    # Create table WEBDAV_PROPERTY
    #----------------------------------------------------------------------------
    if not existsTable (session, "WEBDAV_PROPERTY"):
        stopIfSqlNotOK (session, """
            CREATE TABLE "WEBDAV_PROPERTY"
            (
	            "CID"             Char (24)  BYTE    NOT NULL,
	            "NAME_ID"         Char (24)  BYTE    NOT NULL,
	            "SHORT_VALUE"     Char (500) BYTE,
	            "LONG_VALUE"      Long       BYTE,
	            "VIEWOWNER"       Char (32)  ASCII   DEFAULT USERGROUP,
	            PRIMARY KEY ("NAME_ID", "CID")
            ) INTERNAL""")

        if existsTable (session, "WEBDAV_PROPERTY"):
            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY
                (CID, NAME_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000000',
                 x'000000000000000000000000000000000000000000000002',
                 x'3C636F6C6C656374696F6E20786D6C6E733D224441563A222F3E', NULL, 'PUBLIC')
            """)

            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY
                (CID, NAME_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000000',
                 x'000000000000000000000000000000000000000000000003',
                 x'30', NULL, 'PUBLIC')
            """)

            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY
                (CID, NAME_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000000',
                 x'000000000000000000000000000000000000000000000004',
                 x'73617064627777772F6469726563746F7279', NULL, 'PUBLIC')
            """)

            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY
                (CID, NAME_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000000',
                 x'000000000000000000000000000000000000000000000005',
                 x'5475652C203239204D617220323030352031323A35323A323520474D54', NULL, 'PUBLIC')
            """)

            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY
                (CID, NAME_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000000',
                 x'000000000000000000000000000000000000000000000006',
                 x'5475652C203239204D617220323030352031323A35323A323520474D54', NULL, 'PUBLIC')
            """)

            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY
                (CID, NAME_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000000',
                 x'000000000000000000000000000000000000000000000007',
                 x'2F', NULL, 'PUBLIC')
            """)

    #----------------------------------------------------------------------------
    # Create table WEBDAV_PROPERTY_NAME
    #----------------------------------------------------------------------------
    if not existsTable (session, "WEBDAV_PROPERTY_NAME"):
        stopIfSqlNotOK (session, """
            CREATE TABLE "WEBDAV_PROPERTY_NAME"
            (
	            "ID"               Char (24)  BYTE    NOT NULL,
	            "NAME_SPACE_ID"    Char (24)  BYTE,
	            "SHORT_VALUE"      Char (100) BYTE,
	            "LONG_VALUE"       Long BYTE,
	            "VIEWOWNER"        Char (32)  ASCII   DEFAULT USERGROUP,
	            PRIMARY KEY ("ID")
            ) INTERNAL""")

        if existsTable (session, "WEBDAV_PROPERTY_NAME"):
            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY_NAME
                (ID, NAME_SPACE_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000002',
                 x'000000000000000000000000000000000000000000000001',
                 x'7265736F7572636574797065', NULL, 'PUBLIC')
            """)

            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY_NAME
                (ID, NAME_SPACE_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000003',
                 x'000000000000000000000000000000000000000000000001',
                 x'676574636F6E74656E746C656E677468', NULL, 'PUBLIC')
            """)

            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY_NAME
                (ID, NAME_SPACE_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000004',
                 x'000000000000000000000000000000000000000000000001',
                 x'676574636F6E74656E7474797065', NULL, 'PUBLIC')
            """)

            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY_NAME
                (ID, NAME_SPACE_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000005',
                 x'000000000000000000000000000000000000000000000001',
                 x'6765746C6173746D6F646966696564', NULL, 'PUBLIC')
            """)

            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY_NAME
                (ID, NAME_SPACE_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000006',
                 x'000000000000000000000000000000000000000000000001',
                 x'6372656174696F6E64617465', NULL, 'PUBLIC')
            """)

            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY_NAME
                (ID, NAME_SPACE_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000007',
                 x'000000000000000000000000000000000000000000000001',
                 x'646973706C61796E616D65', NULL, 'PUBLIC')
            """)

            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY_NAME
                (ID, NAME_SPACE_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000008',
                 x'000000000000000000000000000000000000000000000001',
                 x'7696E7465726E616C5F6C6F636B746F6B656E0', NULL, 'PUBLIC')
            """)

            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY_NAME
                (ID, NAME_SPACE_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000009',
                 x'000000000000000000000000000000000000000000000001',
                 x'696E7465726E616C5F6C6F636B6465707468', NULL, 'PUBLIC')
            """)

            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY_NAME
                (ID, NAME_SPACE_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'00000000000000000000000000000000000000000000000A',
                 x'000000000000000000000000000000000000000000000001',
                 x'696E7465726E616C5F6C6F636B6F776E6572', NULL, 'PUBLIC')
            """)

    #----------------------------------------------------------------------------
    # Create table WEBDAV_PROPERTY_NAMESPACE
    #----------------------------------------------------------------------------
    if not existsTable (session, "WEBDAV_PROPERTY_NAMESPACE"):
        stopIfSqlNotOK (session, """
            CREATE TABLE "WEBDAV_PROPERTY_NAMESPACE"
            (
	            "ID"               Char (24)  BYTE    NOT NULL,
	            "SHORT_VALUE"      Char (300) BYTE,
	            "LONG_VALUE"       Long BYTE,
	            "VIEWOWNER"        Char (32)  ASCII   DEFAULT USERGROUP,
	            PRIMARY KEY ("ID")
            ) INTERNAL""")

        if existsTable (session, "WEBDAV_PROPERTY_NAMESPACE"):
            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY_NAMESPACE
                (ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000001',
                 x'4441563A', NULL, 'PUBLIC')
            """)

    #----------------------------------------------------------------------------
    # Create table WEBDAV_VERSION
    #----------------------------------------------------------------------------
    if not existsTable (session, "WEBDAV_VERSION"):
        stopIfSqlNotOK (session, """
            CREATE TABLE "WEBDAV_VERSION"
            (
	            "MAJOR_VERSION"   Fixed (3,0),
	            "MINOR_VERSION"   Fixed (3,0)
            ) INTERNAL""")

        if existsTable (session, "WEBDAV_VERSION"):
            stopIfSqlNotOK (session, """
                INSERT WEBDAV_VERSION
                  (MAJOR_VERSION, MINOR_VERSION) VALUES
                  (0,0)
            """)

    #----------------------------------------------------------------------------
    #----------------------------------------------------------------------------
    # Create tables for own repository
    #----------------------------------------------------------------------------
    #----------------------------------------------------------------------------

    stopIfSqlNotErr (session, -6006, 'CREATE SCHEMA SYSREPOSITORY')

    switchToSchema (session, 'SYSREPOSITORY')

    #----------------------------------------------------------------------------
    # Create table WEBDAV_CONTENT
    #----------------------------------------------------------------------------
    if not existsTable (session, "WEBDAV_CONTENT"):
        stopIfSqlNotOK (session, """
            CREATE TABLE "WEBDAV_CONTENT"
            (
	            "CID"               Char (24)   BYTE  NOT NULL,
	            "SHORT_CONTENT"     Char (8000) BYTE,
	            "LONG_CONTENT"      Long        BYTE,
	            "VIEWOWNER"         Char (32)   ASCII DEFAULT USERGROUP,
	            PRIMARY KEY ("CID")
            ) INTERNAL""")

    #----------------------------------------------------------------------------
    # Create table WEBDAV_NODE
    #----------------------------------------------------------------------------
    if not existsTable (session, "WEBDAV_NODE"):
        stopIfSqlNotOK (session, """
            CREATE TABLE "WEBDAV_NODE"
            (
	            "PID"               Char  (24)  BYTE   NOT NULL,
	            "CID"               Char  (24)  BYTE,
	            "NAME"              Char  (500) ASCII  NOT NULL,
	            "COMPRESSEDLENGTH"  Fixed (10,0)       DEFAULT 0,
	            "XDB_DOC_ID"        Fixed (20,0),
	            "VIEWOWNER"         Char  (32)  ASCII  DEFAULT USERGROUP,
	            PRIMARY KEY ("PID", "NAME")
            ) INTERNAL""")

        if existsTable (session, "WEBDAV_NODE"):
            stopIfSqlNotOK (session, """
                INSERT WEBDAV_NODE
                (PID, CID, NAME, COMPRESSEDLENGTH, XDB_DOC_ID, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000000',
                 x'000000000000000000000000000000000000000000000000', '', 0, NULL, 'PUBLIC')
            """)

    #----------------------------------------------------------------------------
    # Create table WEBDAV_PROPERTY
    #----------------------------------------------------------------------------
    if not existsTable (session, "WEBDAV_PROPERTY"):
        stopIfSqlNotOK (session, """
            CREATE TABLE "WEBDAV_PROPERTY"
            (
	            "CID"             Char (24)  BYTE    NOT NULL,
	            "NAME_ID"         Char (24)  BYTE    NOT NULL,
	            "SHORT_VALUE"     Char (500) BYTE,
	            "LONG_VALUE"      Long       BYTE,
	            "VIEWOWNER"       Char (32)  ASCII   DEFAULT USERGROUP,
	            PRIMARY KEY ("NAME_ID", "CID")
            ) INTERNAL""")

        if existsTable (session, "WEBDAV_PROPERTY"):
            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY
                (CID, NAME_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000000',
                 x'000000000000000000000000000000000000000000000002',
                 x'3C636F6C6C656374696F6E20786D6C6E733D224441563A222F3E', NULL, 'PUBLIC')
            """)

            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY
                (CID, NAME_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000000',
                 x'000000000000000000000000000000000000000000000003',
                 x'30', NULL, 'PUBLIC')
            """)

            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY
                (CID, NAME_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000000',
                 x'000000000000000000000000000000000000000000000004',
                 x'73617064627777772F6469726563746F7279', NULL, 'PUBLIC')
            """)

            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY
                (CID, NAME_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000000',
                 x'000000000000000000000000000000000000000000000005',
                 x'5475652C203239204D617220323030352031323A35323A323520474D54', NULL, 'PUBLIC')
            """)

            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY
                (CID, NAME_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000000',
                 x'000000000000000000000000000000000000000000000006',
                 x'5475652C203239204D617220323030352031323A35323A323520474D54', NULL, 'PUBLIC')
            """)

            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY
                (CID, NAME_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000000',
                 x'000000000000000000000000000000000000000000000007',
                 x'2F', NULL, 'PUBLIC')
            """)

    #----------------------------------------------------------------------------
    # Create table WEBDAV_PROPERTY_NAME
    #----------------------------------------------------------------------------
    if not existsTable (session, "WEBDAV_PROPERTY_NAME"):
        stopIfSqlNotOK (session, """
            CREATE TABLE "WEBDAV_PROPERTY_NAME"
            (
	            "ID"               Char (24)  BYTE    NOT NULL,
	            "NAME_SPACE_ID"    Char (24)  BYTE,
	            "SHORT_VALUE"      Char (100) BYTE,
	            "LONG_VALUE"       Long BYTE,
	            "VIEWOWNER"        Char (32)  ASCII   DEFAULT USERGROUP,
	            PRIMARY KEY ("ID")
            ) INTERNAL""")

        if existsTable (session, "WEBDAV_PROPERTY_NAME"):
            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY_NAME
                (ID, NAME_SPACE_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000002',
                 x'000000000000000000000000000000000000000000000001',
                 x'7265736F7572636574797065', NULL, 'PUBLIC')
            """)

            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY_NAME
                (ID, NAME_SPACE_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000003',
                 x'000000000000000000000000000000000000000000000001',
                 x'676574636F6E74656E746C656E677468', NULL, 'PUBLIC')
            """)

            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY_NAME
                (ID, NAME_SPACE_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000004',
                 x'000000000000000000000000000000000000000000000001',
                 x'676574636F6E74656E7474797065', NULL, 'PUBLIC')
            """)

            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY_NAME
                (ID, NAME_SPACE_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000005',
                 x'000000000000000000000000000000000000000000000001',
                 x'6765746C6173746D6F646966696564', NULL, 'PUBLIC')
            """)

            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY_NAME
                (ID, NAME_SPACE_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000006',
                 x'000000000000000000000000000000000000000000000001',
                 x'6372656174696F6E64617465', NULL, 'PUBLIC')
            """)

            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY_NAME
                (ID, NAME_SPACE_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000007',
                 x'000000000000000000000000000000000000000000000001',
                 x'646973706C61796E616D65', NULL, 'PUBLIC')
            """)

            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY_NAME
                (ID, NAME_SPACE_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000008',
                 x'000000000000000000000000000000000000000000000001',
                 x'7696E7465726E616C5F6C6F636B746F6B656E0', NULL, 'PUBLIC')
            """)

            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY_NAME
                (ID, NAME_SPACE_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000009',
                 x'000000000000000000000000000000000000000000000001',
                 x'696E7465726E616C5F6C6F636B6465707468', NULL, 'PUBLIC')
            """)

            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY_NAME
                (ID, NAME_SPACE_ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'00000000000000000000000000000000000000000000000A',
                 x'000000000000000000000000000000000000000000000001',
                 x'696E7465726E616C5F6C6F636B6F776E6572', NULL, 'PUBLIC')
            """)

    #----------------------------------------------------------------------------
    # Create table WEBDAV_PROPERTY_NAMESPACE
    #----------------------------------------------------------------------------
    if not existsTable (session, "WEBDAV_PROPERTY_NAMESPACE"):
        stopIfSqlNotOK (session, """
            CREATE TABLE "WEBDAV_PROPERTY_NAMESPACE"
            (
	            "ID"               Char (24)  BYTE    NOT NULL,
	            "SHORT_VALUE"      Char (300) BYTE,
	            "LONG_VALUE"       Long BYTE,
	            "VIEWOWNER"        Char (32)  ASCII   DEFAULT USERGROUP,
	            PRIMARY KEY ("ID")
            ) INTERNAL""")

        if existsTable (session, "WEBDAV_PROPERTY_NAMESPACE"):
            stopIfSqlNotOK (session, """
                INSERT WEBDAV_PROPERTY_NAMESPACE
                (ID, SHORT_VALUE, LONG_VALUE, VIEWOWNER) VALUES
                (x'000000000000000000000000000000000000000000000001',
                 x'4441563A', NULL, 'PUBLIC')
            """)

    #----------------------------------------------------------------------------
    # Create table WEBDAV_VERSION
    #----------------------------------------------------------------------------
    if not existsTable (session, "WEBDAV_VERSION"):
        stopIfSqlNotOK (session, """
            CREATE TABLE "WEBDAV_VERSION"
            (
	            "MAJOR_VERSION"   Fixed (3,0),
	            "MINOR_VERSION"   Fixed (3,0)
            ) INTERNAL""")

        if existsTable (session, "WEBDAV_VERSION"):
            stopIfSqlNotOK (session, """
                INSERT WEBDAV_VERSION
                  (MAJOR_VERSION, MINOR_VERSION) VALUES
                  (0,0)
            """)

    #----------------------------------------------------------------------------
    #----------------------------------------------------------------------------
    # Create views for own repository
    #----------------------------------------------------------------------------
    #----------------------------------------------------------------------------

    stopIfSqlNotErr (session, -6006, 'CREATE SCHEMA SYSREPOSITORYOWN')

    switchToSchema (session, 'SYSREPOSITORYOWN')

    #----------------------------------------------------------------------------
    # Create the view of WEBDAV_CONTENT
    #----------------------------------------------------------------------------
    dropView (session, "WEBDAV_CONTENT")
    stopIfSqlNotOK (session, """
            CREATE VIEW WEBDAV_CONTENT AS
            SELECT CID, Short_Content, Long_Content
            FROM SYSREPOSITORY.WEBDAV_CONTENT
            WHERE ViewOwner IN (USERGROUP, 'PUBLIC')
        WITH CHECK OPTION INTERNAL""")

    #----------------------------------------------------------------------------
    # Create the view of WEBDAV_NODE
    #----------------------------------------------------------------------------
    dropView (session, "WEBDAV_NODE")
    stopIfSqlNotOK (session, """
            CREATE VIEW WEBDAV_NODE AS
            SELECT PID, CID, Name, CompressedLength, XDB_Doc_Id
            FROM SYSREPOSITORY.WEBDAV_NODE
            WHERE ViewOwner IN (USERGROUP, 'PUBLIC')
        WITH CHECK OPTION INTERNAL""")

    #----------------------------------------------------------------------------
    # Create the view of WEBDAV_PROPERTY
    #----------------------------------------------------------------------------
    dropView (session, "WEBDAV_PROPERTY")
    stopIfSqlNotOK (session, """
            CREATE VIEW WEBDAV_PROPERTY AS
            SELECT CID, Name_Id, Short_Value, Long_Value
            FROM SYSREPOSITORY.WEBDAV_PROPERTY
            WHERE ViewOwner IN (USERGROUP, 'PUBLIC')
        WITH CHECK OPTION INTERNAL""")

    #----------------------------------------------------------------------------
    # Create the view of WEBDAV_PROPERTY_NAME
    #----------------------------------------------------------------------------
    dropView (session, "WEBDAV_PROPERTY_NAME")
    stopIfSqlNotOK (session, """
            CREATE VIEW WEBDAV_PROPERTY_NAME AS
            SELECT ID, Name_Space_Id, Short_Value, Long_Value
            FROM SYSREPOSITORY.WEBDAV_PROPERTY_NAME
            WHERE ViewOwner IN (USERGROUP, 'PUBLIC')
        WITH CHECK OPTION INTERNAL""")

    #----------------------------------------------------------------------------
    # Create the view of WEBDAV_PROPERTY_NAMESPACE
    #----------------------------------------------------------------------------
    dropView (session, "WEBDAV_PROPERTY_NAMESPACE")
    stopIfSqlNotOK (session, """
            CREATE VIEW WEBDAV_PROPERTY_NAMESPACE AS
            SELECT ID, Short_Value, Long_Value
            FROM SYSREPOSITORY.WEBDAV_PROPERTY_NAMESPACE
            WHERE ViewOwner IN (USERGROUP, 'PUBLIC')
        WITH CHECK OPTION INTERNAL""")

    #----------------------------------------------------------------------------
    # Create the view of WEBDAV_VERSION
    #----------------------------------------------------------------------------
    dropView (session, "WEBDAV_VERSION")
    stopIfSqlNotOK (session, """
            CREATE VIEW WEBDAV_VERSION AS
            SELECT *
            FROM SYSREPOSITORY.WEBDAV_VERSION
        WITH CHECK OPTION INTERNAL""")

    #----------------------------------------------------------------------------
    # Grant views to public
    #----------------------------------------------------------------------------
    stopIfSqlNotOK (session, """
            GRANT   SELECT, UPDATE, DELETE, INSERT
            ON      WEBDAV_CONTENT
            TO      PUBLIC""")

    stopIfSqlNotOK (session, """
            GRANT   SELECT, UPDATE, DELETE, INSERT
            ON      WEBDAV_NODE
            TO      PUBLIC""")

    stopIfSqlNotOK (session, """
            GRANT   SELECT, UPDATE, DELETE, INSERT
            ON      WEBDAV_PROPERTY
            TO      PUBLIC""")

    stopIfSqlNotOK (session, """
            GRANT   SELECT, UPDATE, DELETE, INSERT
            ON      WEBDAV_PROPERTY_NAME
            TO      PUBLIC""")

    stopIfSqlNotOK (session, """
            GRANT   SELECT, UPDATE, DELETE, INSERT
            ON      WEBDAV_PROPERTY_NAMESPACE
            TO      PUBLIC""")

    stopIfSqlNotOK (session, """
            GRANT   SELECT, UPDATE, DELETE, INSERT
            ON      WEBDAV_VERSION
            TO      PUBLIC""")

    #----------------------------------------------------------------------------
    # Commit the data definitions
    #----------------------------------------------------------------------------

    loaderCmd (session, 'COMMIT')

    switchToDefaultSchema (session, options)

    loaderCmd (session, 'INSTALLATION OFF')

    # End of Install


if __name__ == '__main__':
    connectAndInstall (install, install.__doc__)


