#
# =====================================================
# @(#) SYSDBACOM                  7.6        2005-03-24
# =====================================================
#
#
#    ========== licence begin  GPL
#    Copyright (c) 2000-2005 SAP AG
#
#    This program is free software; you can redistribute it and/or
#    modify it under the terms of the GNU General Public License
#    as published by the Free Software Foundation; either version 2
#    of the License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#    ========== licence end

from installib import *

def install (session,options):
    """Installing comments for SYSDBA tables
    """

    loaderCmd (session, 'INSTALLATION ON')

    loaderCmd (session, 'AUTOCOMMIT OFF')


    # Table sysdba.allocatorstatistic

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.ALLOCATORSTATISTIC IS 'Old information, please use SYSINFO.MEMORYALLOCATORSTATISTICS'""")

    # Table sysdba.configuration

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.CONFIGURATION IS 'Old information, please use SYSINFO.ACTIVECONFIGURATION'""")

    # Table sysdba.consistentviews

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.CONSISTENTVIEWS IS 'Currently active consistent views'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.CONSISTENTVIEWS.CONSISTENTVIEW IS 'ID of the consistent view'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.CONSISTENTVIEWS.CREATORTRANSCOUNT IS 'ID of the transaction that generated the consistent view'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.CONSISTENTVIEWS.OPENTRANS IS 'ID of another transaction that was active at the time the consistent view was generated'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.CONSISTENTVIEWS.OPENDATE IS 'Creation date of the consistent view'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.CONSISTENTVIEWS.OPENTIME IS 'Creation time of the consistent view'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.CONSISTENTVIEWS.LASTUSED IS 'Elapsed time since the consistent view was last used (s)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.CONSISTENTVIEWS.CANCELLED IS 'Consistent view was implicitly closed due to insufficient memory ( YES | NO )'""")

    # Table sysdba.dbparameters

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.DBPARAMETERS IS 'Parameters that were defined for the database instance by using the Database Manager tool'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.DBPARAMETERS.DESCRIPTION IS 'Description of how to interpret the VALUE column'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.DBPARAMETERS.VALUE IS 'Value'""")

    # Table sysdba.dbtimes

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.DBTIMES IS 'Date and time of the last restart for the database instance'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.DBTIMES.RESTART_DATE IS 'Date of the last restart'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.DBTIMES.RESTART_TIME IS 'Time of the last restart'""")

    # Table sysdba.dual

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.DUAL IS 'Table with exactly one row and one column to allow easy queries for special values like: SELECT user FROM dual'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.DUAL.DUMMY IS 'Dummy column'""")

    # Table sysdba.garbagecollector_statistics

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.GARBAGECOLLECTOR_STATISTICS IS 'Garbage collector activity'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.GARBAGECOLLECTOR_STATISTICS.TASKID IS 'ID of the database task that is running as a garbage collector'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.GARBAGECOLLECTOR_STATISTICS.ACTIVE IS 'Database task is active (YES | NO)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.GARBAGECOLLECTOR_STATISTICS.ACTIVATE_COUNT IS 'Number of times the database task was activated'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.GARBAGECOLLECTOR_STATISTICS.DELETE_OBJ IS 'Number of persistent objects released by the garbage collectors'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.GARBAGECOLLECTOR_STATISTICS.RELHIST_NORMAL IS 'Number of history entries released by the garbage collectors'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.GARBAGECOLLECTOR_STATISTICS.RELHIST_SENSITIVE IS '-- No longer in use -- ( NULL value )'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.GARBAGECOLLECTOR_STATISTICS.RELHIST_TRUNCATE IS '-- No longer in use -- ( NULL value )'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.GARBAGECOLLECTOR_STATISTICS.HIST_CREATE_FILE IS 'Number of ''Create Container'' history entries released by the garbage collectors'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.GARBAGECOLLECTOR_STATISTICS.HIST_DELETE_OBJ IS 'Number of ''Delete Object'' history entries released by the garbage collectors'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.GARBAGECOLLECTOR_STATISTICS.HIST_DROP_FILE IS 'Number of ''Drop Container'' history entries released by the garbage collectors'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.GARBAGECOLLECTOR_STATISTICS.HIST_LOCK_OBJ IS 'Number of ''Lock Object'' history entries released by the garbage collectors'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.GARBAGECOLLECTOR_STATISTICS.HIST_INSERT_OBJ IS 'Number of ''Insert Object'' history entries released by the garbage collectors'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.GARBAGECOLLECTOR_STATISTICS.HIST_NEW_OBJ IS 'Number of ''New Object'' history entries released by the garbage collectors'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.GARBAGECOLLECTOR_STATISTICS.HIST_UPDATE_OBJ IS 'Number of ''Update Object'' history entries released by the garbage collectors'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.GARBAGECOLLECTOR_STATISTICS.RELPAGE_EMPTY IS 'Number of pages released by the garbage collectors because they were empty'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.GARBAGECOLLECTOR_STATISTICS.RELPAGE_DROPFILE IS 'Number of pages that were released due to a ''Drop Container'' statement'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.GARBAGECOLLECTOR_STATISTICS.DROP_FILE IS 'Number of ''Drop Container'' commands carried out by the garbage collectors'""")

    # Table sysdba.historyinfo

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.HISTORYINFO IS 'Information regarding data history, which is necessary for providing data for a consistent view'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.HISTORYINFO.FILENO IS 'Number of the history file'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.HISTORYINFO.FIRSTTRANS IS 'Oldest transaction that has not yet been processed by the garbage collector'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.HISTORYINFO.LASTTRANS IS 'Most recent transaction that has not yet been processed by the garbage collector'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.HISTORYINFO.PAGECOUNT IS 'Number of pages used by the history file and all undo log files referenced by it'""")

    # Table sysdba.indexpages

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.INDEXPAGES IS 'Information about the needed number of leaf pages for indexes'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.INDEXPAGES.SCHEMANAME IS 'Name of the schema of the table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.INDEXPAGES.OWNER IS 'Name of table owner'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.INDEXPAGES.TABLENAME IS 'Name of table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.INDEXPAGES.INDEXNAME IS 'Name of index'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.INDEXPAGES.DESCRIPTION IS 'Always: Leaf  pages'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.INDEXPAGES.CHAR_VALUE IS 'Always NULL'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.INDEXPAGES.NUMERIC_VALUE IS 'Number of leaf pages in this index'""")

    # Table sysdba.indexstatistics

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.INDEXSTATISTICS IS 'Information about the structure and size of indexes'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.INDEXSTATISTICS.SCHEMANAME IS 'Name of the schema of the table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.INDEXSTATISTICS.OWNER IS 'Name of table owner'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.INDEXSTATISTICS.TABLENAME IS 'Name of table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.INDEXSTATISTICS.INDEXNAME IS 'Name of index (NULL for unknown indexes)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.INDEXSTATISTICS.COLUMNNAME IS 'Name of an inverted column'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.INDEXSTATISTICS.DESCRIPTION IS 'Description of how to interpret following columns'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.INDEXSTATISTICS.CHAR_VALUE IS 'Alphanumeric value'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.INDEXSTATISTICS.NUMERIC_VALUE IS 'Numeric value'""")

    # Table sysdba.lockliststatistics

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.LOCKLISTSTATISTICS IS 'Information about the used space in the lock list'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.LOCKLISTSTATISTICS.DESCRIPTION IS 'Description of how to interpret the VALUE column'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.LOCKLISTSTATISTICS.VALUE IS 'Value'""")

    # Table sysdba.lockstatistics

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.LOCKSTATISTICS IS 'Please see DOMAIN.LOCKS/LOCK_WAITS'""")

    # Table sysdba.messages

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.MESSAGES IS 'Error messages used in the server and their message texts'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MESSAGES.MSGNO IS 'Error message'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MESSAGES.LANGUAGE IS 'Always ENG'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MESSAGES.MSGTEXT IS 'Text of the error message'""")

    # Table sysdba.monitor

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.MONITOR IS 'Information about the number of used calls/used resources in the server'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR.TYPE IS 'Description of the type of the resource'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR.DESCRIPTION IS 'Description of how to interpret the VALUE column'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR.VALUE IS 'Value'""")

    # Table sysdba.monitor_caches

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.MONITOR_CACHES IS 'Information about the number of used calls/used resources in caches'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_CACHES.DESCRIPTION IS 'Description of how to interpret the VALUE column'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_CACHES.VALUE IS 'Value'""")

    # Table sysdba.monitor_load

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.MONITOR_LOAD IS 'Information about the number of used calls in the server'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_LOAD.DESCRIPTION IS 'Description of how to interpret the VALUE column'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_LOAD.VALUE IS 'Value'""")

    # Table sysdba.monitor_lock

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.MONITOR_LOCK IS 'Information about the number of special events in the lock list'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_LOCK.DESCRIPTION IS 'Description of how to interpret the VALUE column'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_LOCK.VALUE IS 'Value'""")

    # Table sysdba.monitor_log

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.MONITOR_LOG IS 'Information about the number of special events in the log'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_LOG.DESCRIPTION IS 'Description of how to interpret the VALUE column'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_LOG.VALUE IS 'Value'""")

    # Table sysdba.monitor_long

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.MONITOR_LONG IS 'Information about the number of reads and writes for columns of datatype LONG'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_LONG.DESCRIPTION IS 'Description of how to interpret the VALUE column'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_LONG.VALUE IS 'Value'""")

    # Table sysdba.monitor_oms

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.MONITOR_OMS IS 'Activities of OMS procedures since the last restart'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS.IID IS 'Interface ID of the component to which the DB procedure belongs'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."Methodname" IS 'Name of the DB procedure = name of the C++ method that implements the DB procedure'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."CallCnt" IS 'Number of DB procedure calls'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."AvgRuntime" IS 'Average runtime per DB procedure call (ms)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."SumRuntime" IS 'Total runtime of all DB procedure calls'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."OMS_Deref" IS 'Number of read accesses to the object via the OMS cache (LC_Deref)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."LC_Deref" IS 'Number of read accesses to the object not satisfied by the OMS cache'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."KeyDeref" IS 'Number of key accesses to the object'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."KeyDerefInVersion" IS 'Number of key accesses within an OMS version'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."OMS_Store" IS 'Number of object change notices in the OMS cache'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."LC_Store" IS 'Number of changed objects'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."OMS_Delete" IS 'Number of object delete notices in the OMS cache'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."LC_Delete" IS 'Number of deleted objects'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."LC_Lock" IS 'Number of object lock requests'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."DerefIter" IS 'Number of container scans'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."OMS_Release" IS 'Number of explicitly released objects in the OMS cache'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."OMS_ReleaseExecuted" IS 'Number of object releases actually executed in the OMS cache'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."LC_LogHops" IS 'Number of history accesses triggered by read accesses to objects'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."LC_LogHopsIter" IS 'Number of history accesses triggered by container scans'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."Exceptions" IS 'Number of C++ exceptions'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."OutOfDateExceptions" IS 'Number of exceptions triggered by lock requests for non-current objects'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."Timeouts" IS 'Number of timeouts with lock requests'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."OutOfMemoryExceptions" IS 'Number of occurrences of insufficient memory'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."SubtransRollbacks" IS 'Number or reversed subtransactions'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."SubtransCommits" IS 'Number of successfully completed subtransactions'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."MaxSubtransLevel" IS 'Maximum subtransaction depth'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."VarObjectLoad" IS 'Number of variable-length objects'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."VarObjectStore" IS 'Number of changed variable-length objects'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."AvgVarObjectSize" IS 'Average length of an object of variable length'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."OmsCacheSize" IS 'Memory consumption of the component instance'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."MaxWaitForNewConsView" IS 'Maximum wait time for a new consistent view'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."MinWaitForNewConsView" IS 'Minimum wait time for a new consistent view (s)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."AvgWaitForNewConsView" IS 'Average wait time for a new consistent view (s)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."MallocCnt" IS 'Number of lock requests'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."MallocMin" IS 'Smallest requested memory block (bytes)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."MallocMax" IS 'Largest released memory block (bytes)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."MallocAvg" IS 'Average size of a requested memory block (bytes)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."FreeCnt" IS 'Number of memory releases'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."FreeMin" IS 'Smallest requested memory block (bytes)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."FreeMax" IS 'Largest released memory block (bytes)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."FreeAvg" IS 'Average size of a released memory block (bytes)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."DeltaAllocMin" IS 'Minimum memory requirement change for a procedure call'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."DeltaAllocMax" IS 'Maximum memory requirement change for a procedure call'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."DeltaAllocAvg" IS 'Average memory requirement change per procedure call'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."OMS_Terminate" IS 'Number of transaction failures due to unforeseen errors (omsTerminate)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."MinStreamBufferReadReq" IS 'Minimum number of communications for reading ABAP tables'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."MaxStreamBufferReadReq" IS 'Maximum number of communications for reading ABAP tables'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."AvgStreamBufferReadReq" IS 'Average number of communications for reading ABAP tables'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."MinStreamRowReads" IS 'Minimum number of rows read from ABAP tables'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."MaxStreamRowReads" IS 'Maximum number of rows read from ABAP tables'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."AvgStreamRowReads" IS 'Average number of rows read from ABAP tables'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."MinStreamBufferWriteReq" IS 'Minimum number of communications for writing ABAP tables'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."MaxStreamBufferWriteReq" IS 'Maximum number of communications for writing ABAP tables'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."AvgStreamBufferWriteReq" IS 'Average number of communications for writing ABAP tables'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."MinStreamRowWrites" IS 'Minimum number of rows written to ABAP tables'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."MaxStreamRowWrites" IS 'Maximum number of rows written to ABAP tables'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."AvgStreamRowWrites" IS 'Average number of rows written to ABAP tables'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."OmsKeyCacheHit" IS 'Number of key accesses satisfied by the key cache'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."OmsKeyCacheMiss" IS 'Number of key accesses not satisfied by the key cache'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."OmsKeyVersion" IS 'Number of key objects generated within an OMS version'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."OmsMaxChainLen" IS 'Maximum list length of the OMS cache data structure'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."OmsAvgChainLenSearched" IS 'Average number of list elements of the OMS cache data structure searched for dereferencing an object'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."OmsRehash" IS 'Number of resizings of the OMS cache data structure'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."OmsLockObjWaits" IS 'Number of lock collisions'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_OMS."OmsLockObjAvgWaitDelay" IS 'Average wait time for the release of locks (microseconds)'""")

    # Table sysdba.monitor_pages

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.MONITOR_PAGES IS 'Information about the number of physical and virtual I/Os'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_PAGES.DESCRIPTION IS 'Description of how to interpret the VALUE column'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_PAGES.VALUE IS 'Value'""")

    # Table sysdba.monitor_rewrite

    # stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.MONITOR_REWRITE IS 'Information about ???'""")

    # stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_REWRITE.DESCRIPTION IS 'Description of how to interpret the VALUE column'""")

    # stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_REWRITE.VALUE IS 'Value'""")

    # Table sysdba.monitor_row

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.MONITOR_ROW IS 'Information about the number of used calls in the lowest layer of the server'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_ROW.DESCRIPTION IS 'Description of how to interpret the VALUE column'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_ROW.VALUE IS 'Value'""")

    # Table sysdba.monitor_trans

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.MONITOR_TRANS IS 'Information about the number of used SQL statements and main internal calls'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_TRANS.DESCRIPTION IS 'Description of how to interpret the VALUE column'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.MONITOR_TRANS.VALUE IS 'Value'""")

    # Table sysdba.oms_heap_statistics

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.OMS_HEAP_STATISTICS IS 'Name of the allocator'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OMS_HEAP_STATISTICS.DESCRIPTION IS 'Currently used memory (bytes)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OMS_HEAP_STATISTICS.TOTAL_HEAP_USAGE IS 'Currently used memory (bytes)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OMS_HEAP_STATISTICS.MAX_TOTAL_HEAP_USAGE IS 'Maximum used memory (bytes)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OMS_HEAP_STATISTICS.RESERVED IS 'Memory managed by the allocator (bytes)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OMS_HEAP_STATISTICS.ALLOC_CNT IS 'Number of memory allocations'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OMS_HEAP_STATISTICS.FREE_CNT IS 'Number of memory releases'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OMS_HEAP_STATISTICS.SYSTEM_ALLOC_CNT IS 'Number of memory reservations in the base allocator'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OMS_HEAP_STATISTICS.SYSTEM_FREE_CNT IS 'Number of memory releases in the base allocator'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OMS_HEAP_STATISTICS.TOTAL_SPINLOCKS IS 'Number of attempts to get the spin lock'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OMS_HEAP_STATISTICS.COLLISIONS IS 'Number of failed attempts to get the spin lock'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OMS_HEAP_STATISTICS.TOTAL_SPINLOOPS IS 'Number of attempts to get the spin lock without prior release of the CPU'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OMS_HEAP_STATISTICS.TOTAL_YIELDLOOPS IS 'Number of attempts to get the spin lock after prior release of the CPU'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OMS_HEAP_STATISTICS.MAX_SPINLOOPS IS 'Maximum number of attempts to get the spin lock without prior release of the CPU'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OMS_HEAP_STATISTICS.MAX_YIELDLOOPS IS 'Maximum number of attempts to get the spin lock after prior release of the CPU'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OMS_HEAP_STATISTICS.ERROR_CNT IS 'Number of errors detected and automatically corrected by the allocator'""")

    # Table sysdba.oms_lockobj_info

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.OMS_LOCKOBJ_INFO IS 'Locks that are explicitly held or requested using the OmsLockObject'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OMS_LOCKOBJ_INFO.PROCESS IS 'ID of the task that holds or requests the lock'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OMS_LOCKOBJ_INFO.SESSION IS 'ID of the session that holds or requests the lock'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OMS_LOCKOBJ_INFO.USERNAME IS 'Name of the user that holds or requests the lock'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OMS_LOCKOBJ_INFO.TERMID IS 'ID of the terminal that the connected application uses'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OMS_LOCKOBJ_INFO.APPLPROCESS IS 'Operating system ID of the connected application'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OMS_LOCKOBJ_INFO.APPLNODEID IS 'Name of the computer of the remotely connected application'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OMS_LOCKOBJ_INFO.LOCK_HANDLE IS 'User-defined ID of the lock'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OMS_LOCKOBJ_INFO.LOCK_MODE IS 'Type of lock (NULL value | SHARE | EXCLUSIVE)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OMS_LOCKOBJ_INFO.REQ_MODE IS 'Type of lock in case of a collision with timeout wait situations (NULL-Wert | SHARE | EXCLUSIVE)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OMS_LOCKOBJ_INFO.REQ_TIMEOUT IS 'Time remaining before timeout'""")

    # Table sysdba.optimizerstatistics

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.OPTIMIZERSTATISTICS IS 'Stored statistics in the database catalog'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OPTIMIZERSTATISTICS.SCHEMANAME IS 'Name of the schema of the table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OPTIMIZERSTATISTICS.OWNER IS 'Owner of a table for which statistics exist'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OPTIMIZERSTATISTICS.TABLENAME IS 'Name of a table for which statistics exist'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OPTIMIZERSTATISTICS.INDEXNAME IS 'Name of an index for which statistics exist'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OPTIMIZERSTATISTICS.COLUMNNAME IS 'Name of a column for which statistics exist'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OPTIMIZERSTATISTICS.DISTINCTVALUES IS 'Number of different values if the current row describes a column or an index with one column; otherwise the number of rows in a table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.OPTIMIZERSTATISTICS.PAGECOUNT IS 'Number of pages used by an index if the current row describes an index; number of pages of a base table if the current row describes a table; otherwise NULL'""")

    # Table sysdba.pages

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.PAGES IS 'Number of leaf pages used in a table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.PAGES.SCHEMANAME IS 'Name of the schema of the table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.PAGES.OWNER IS 'Name of table owner'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.PAGES.TABLENAME IS 'Name of table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.PAGES.DESCRIPTION IS 'Always: Leaf  pages'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.PAGES.CHAR_VALUE IS 'Always NULL'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.PAGES.NUMERIC_VALUE IS 'Number of leaf pages used in the tree for primary data'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.PAGES.SHORT_COLUMN_PAGES IS 'Number of leaf pages used for storing short values of datatype LONG for this table'""")

    # Table sysdba.roots

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.ROOTS IS 'Information about the root page number belonging to a table, index, ...'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.ROOTS.TABLEID IS 'Internal identification of the table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.ROOTS.SCHEMANAME IS 'Name of the schema of the table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.ROOTS.OWNER IS 'Name of table owner'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.ROOTS.TABLENAME IS 'Name of table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.ROOTS.INDEXNAME IS 'Name of index'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.ROOTS.TYPE IS 'Type of tree: table, index, ...'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.ROOTS.ROOT IS 'Root page number'""")

    # Table sysdba.running_commands

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.RUNNING_COMMANDS IS 'Information about currently running statements if diagnose monitor parseid is enabled'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.RUNNING_COMMANDS.TASKID IS 'Identification of server task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.RUNNING_COMMANDS.JOB IS 'Optional information about application which uses this statement'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.RUNNING_COMMANDS.LINE IS 'Optional information about code line in application'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.RUNNING_COMMANDS.PARSEID IS 'Internal identification of prepared statement'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.RUNNING_COMMANDS.SQL_STATEMENT IS 'Statement text of the prepared statement'""")

    # Table sysdba.running_parseids

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.RUNNING_PARSEIDS IS 'Information about currently running statements if diagnose monitor parseid is enabled'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.RUNNING_PARSEIDS.TASKID IS 'Identification of server task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.RUNNING_PARSEIDS.PARSEID IS 'Internal identification of prepared statement'""")

    # Table sysdba.serverdbstatistics

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.SERVERDBSTATISTICS IS 'Information about the used space in the database instance'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SERVERDBSTATISTICS.SERVERDBSIZE IS 'Size of the database instance in pages'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SERVERDBSTATISTICS.MAXDATAPAGENO IS 'Highest page number of the database instance'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SERVERDBSTATISTICS.MAXPERM IS 'Number of pages of the database instance that can be used for non-temporary objects'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SERVERDBSTATISTICS.MAXUSEDPAGES IS 'Maximum number of used pages for a synchronization point (restart or savepoint)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SERVERDBSTATISTICS.USEDPERM IS 'Number of pages of the database instance that are used for non-temporary objects'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SERVERDBSTATISTICS.PCTUSEDPERM IS 'Percentage of pages for non-temporary objects'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SERVERDBSTATISTICS.USEDTMP IS 'Number of pages of the database instance that are used for temporary objects'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SERVERDBSTATISTICS.PCTUSEDTMP IS 'Percentage of pages for temporary objects'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SERVERDBSTATISTICS.UNUSED IS 'Number of unused pages'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SERVERDBSTATISTICS.PCTUNUSED IS 'Percentage of unused pages'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SERVERDBSTATISTICS.UPDATEDPERM IS 'Number of changed pages for permanent objects'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SERVERDBSTATISTICS.SERVERDBFULL IS '(YES|NO) Maximum fill level of the datase instance has been reached'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SERVERDBSTATISTICS.USEDBLOCKS IS 'Number of blocks on data volumes that are used by pages'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SERVERDBSTATISTICS.LOGSIZE IS 'Size of the log range in pages'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SERVERDBSTATISTICS.USEDLOG IS 'Number of used log pages'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SERVERDBSTATISTICS.PCTUSEDLOG IS 'Percentage of used log pages'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SERVERDBSTATISTICS.LOGNOTSAVED IS 'Number of unsaved log pages'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SERVERDBSTATISTICS.PCTLOGNOTSAVED IS 'Percentage of unsaved log pages'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SERVERDBSTATISTICS.LOGSINCEBACKUP IS 'Number of written log pages since the last complete or incremental data backup'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SERVERDBSTATISTICS.LOGSEGMENTSIZE IS 'Size of a log segment in pages'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SERVERDBSTATISTICS.SAVEPOINTS IS 'Number of executed savepoints'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SERVERDBSTATISTICS.CHECKPOINTS IS 'Number of executed checkpoints'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SERVERDBSTATISTICS.USEDOMSLOG IS 'Not used any more'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SERVERDBSTATISTICS.MINFREEOMSLOG IS 'Not used any more'""")

    # Table sysdba.spinlocks

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.SPINLOCKS IS 'Old information, please use SYSINFO.SPINLOCKSTATISTICS'""")

    # Table sysdba.syscmd_analyze

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.SYSCMD_ANALYZE IS 'Information about all prepared statements if diagnose analyze is enabled'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSCMD_ANALYZE.JOB IS 'Optional information about application which uses this statement'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSCMD_ANALYZE.LINE IS 'Optional information about code line in application'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSCMD_ANALYZE.CMDID IS 'Identification of prepared statement'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSCMD_ANALYZE.LINKAGE IS 'Linkage between table rows if statement text needs more than one row'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSCMD_ANALYZE.SQL_STATEMENT IS 'Statement text of the prepared statement'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSCMD_ANALYZE.CMDHASH IS 'Hash value of prepared statement'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSCMD_ANALYZE.HASHLISTPOS IS 'Position of prepared statement in hash list'""")

    # Table sysdba.sysdata_analyze

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.SYSDATA_ANALYZE IS 'Accumulated information about resource consumption of statements if diagnose analyze collect data is enabled'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSDATA_ANALYZE.CMDID IS 'Identification of prepared statement'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSDATA_ANALYZE.SESSION IS 'ID of the database session which uses this statement'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSDATA_ANALYZE.CALL_COUNT IS 'Number of executes of this statement in this session'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSDATA_ANALYZE.ROWS_READ IS 'Number of rows read for this statement in this session'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSDATA_ANALYZE.ROWS_QUAL IS 'Number of rows qualified for this statement in this session'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSDATA_ANALYZE.VIRTUAL_READS IS 'Number of virtual reads for this statement in this session'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSDATA_ANALYZE.RUNTIME IS 'Average runtime of this statement in this session'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSDATA_ANALYZE.MIN_RUNTIME IS 'Minimum runtime of this statement in this session'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSDATA_ANALYZE.MAX_RUNTIME IS 'Maximum runtime of this statement in this session'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSDATA_ANALYZE.VWAITS IS 'Number of SQL lock waits during execution of this statement in this session'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSDATA_ANALYZE.VSUSPENDS IS 'Number of suspends during execution of this statement in this session'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSDATA_ANALYZE.PHYSICAL_IO IS 'Number of physical I/O operations'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSDATA_ANALYZE.ROWS_FETCHED IS 'Number of rows fetched during execution of this statement in this session'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSDATA_ANALYZE.USERNAME IS 'Name of user connected'""")

    # Table sysdba.syschecktablelog

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.SYSCHECKTABLELOG IS 'Information about last running table checks'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSCHECKTABLELOG.SCHEMANAME IS 'Name of the schema of the table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSCHECKTABLELOG.TABLENAME IS 'Name of table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSCHECKTABLELOG.EXECUTED_AT IS 'Timestamp when check table statement was executed'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSCHECKTABLELOG.MSGNO IS 'Message number of result of check table statement'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSCHECKTABLELOG.OWNER IS 'Deprecated, only for downward compatibility: Name of table owner, is always name of schema'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSCHECKTABLELOG.EXCECUTED_AT IS 'Deprecated, only for downward compatibility: Timestamp when check table statement was executed'""")

    # Table sysdba.sysmondata

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.SYSMONDATA IS 'Information about execution parameter of prepared statements if diagnose monitor data is enabled'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONDATA.SYSK IS 'Linkage between SYSMONITOR and SYSMONDATA table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONDATA.PARAMNO IS 'Number of parameter'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONDATA.DATA_TYPE IS 'Data type of parameter'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONDATA.DATA IS 'Parameter data'""")

    # Table sysdba.sysmonitor

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.SYSMONITOR IS 'Information about resource consumption of statements if diagnose monitor is enabled'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONITOR.SYSK IS 'Linkage between SYSMONITOR and SYSMONDATA table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONITOR.LINKAGE IS 'Always 1'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONITOR."PARSEID" IS 'Internal identification of prepared statement'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONITOR.ROWS_READ IS 'Number of rows read'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONITOR.ROWS_QUAL IS 'Number of rows qualified'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONITOR.VIRTUAL_READS IS 'Number of virtual reads'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONITOR.SUBREQUESTS IS 'Number of subrequests'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONITOR.STRATEGY IS 'Strategy or strategies used for execution'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONITOR.RUNTIME IS 'Runtime'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONITOR.VWAITS IS 'Number of SQL lock waits'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONITOR.VSUSPENDS IS 'Number of suspends'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONITOR.PHYSICAL_IO IS 'Number of physical I/O operations'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONITOR.ROWS_FETCHED IS 'Number of rows fetched'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONITOR.FETCH_CALLS IS 'Number of fetch statements'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONITOR.ROOT1 IS 'Index or base table root touched during execution'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONITOR.ROOT2 IS 'Index or base table root touched during execution'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONITOR.ROOT3 IS 'Index or base table root touched during execution'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONITOR.ROOT4 IS 'Index or base table root touched during execution'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONITOR.ROOT5 IS 'Index or base table root touched during execution'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONITOR.ROOT6 IS 'Index or base table root touched during execution'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONITOR.RESULT_COPIED IS 'Result table was copied physically'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONITOR.DATETIME IS 'Date and time of execution'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONITOR.TERMID IS 'Identification of the terminal used by the connected application'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONITOR.USERNAME IS 'Name of user connected'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONITOR.APPL_PROCESS IS 'Identification of the connected application in the OS'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSMONITOR.APPL_NODE IS 'Hostname of the remote connected application'""")

    # Table sysdba.sysparseid

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.SYSPARSEID IS 'Information about all prepared statements if diagnose monitor parseid is enabled'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSPARSEID."PARSEID" IS 'Internal identification of prepared statement'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSPARSEID.LINKAGE IS 'Linkage between table rows if statement text needs more than one row'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSPARSEID.SELECT_PARSEID IS 'ParseID of the select statement belonging to this prepared statement'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSPARSEID.OWNER IS 'User who prepared this statement'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSPARSEID.SQL_STATEMENT IS 'Statement text of the prepared statement'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSPARSEID.JOB IS 'Optional information about application which uses this statement'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSPARSEID.LINE IS 'Optional information about code line in application'""")

    # Table sysdba.sysstatistics

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.SYSSTATISTICS IS 'Table for load and unload statistics operation'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSSTATISTICS.SCHEMANAME IS 'Name of the schema of the table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSSTATISTICS.OWNER IS 'Name of owner of table for which statistics exist'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSSTATISTICS.TABLENAME IS 'Name of table for which statistics exist'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSSTATISTICS.COLUMNNAME IS 'Name of a column for which statistics exist'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSSTATISTICS.INDEXNAME IS 'Name of index for which statistics exist'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSSTATISTICS.PAGES IS 'Number of pages used by an index if the current row describes an index; number of pages of a base table if the current row describes a table; otherwise NULL'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSSTATISTICS.DISTINCT_VALUES IS 'Number of different values if the current row describes a column or an index with one column; otherwise the number of rows in a table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSSTATISTICS.AVG_LIST_LEN IS 'Not used any more'""")

    # Table sysdba.sysupdstatlog

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.SYSUPDSTATLOG IS 'Information about last running update statistics statements'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSUPDSTATLOG.SCHEMANAME IS 'Name of the schema of the table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSUPDSTATLOG.TABLENAME IS 'Name of table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSUPDSTATLOG.TABLEID IS 'Internal identification of the table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSUPDSTATLOG.COLUMNNAME IS 'Name of a column'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSUPDSTATLOG.INDEXNAME IS 'Name of index'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSUPDSTATLOG.EXECUTED_AT IS 'Timestamp of start of execution of the statement doing several statistic updates'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSUPDSTATLOG.IMPLICIT IS 'Not used any more'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSUPDSTATLOG.SAMPLE_PCT IS 'Percentage of the table that is read when updating statistics'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSUPDSTATLOG.SAMPLE_ROW IS 'Number of rows in the table that are read when updating statistics'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSUPDSTATLOG.EXECUTION_START IS 'Timestamp at start of execution of this statistic update'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSUPDSTATLOG.EXECUTION_END IS 'Timestamp at end of execution of this statistic update'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSUPDSTATLOG.SESSION IS 'ID of the database session'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSUPDSTATLOG.TERMID IS 'Identification of the terminal used by the connected application'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSUPDSTATLOG.SEQNO IS 'Not used any more'""")

    # Table sysdba.sysupdstatwanted

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.SYSUPDSTATWANTED IS 'Information about tables with outdated optimizer statistics'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSUPDSTATWANTED.SCHEMANAME IS 'Name of the schema of the table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSUPDSTATWANTED.OWNER IS 'Name of owner of table for which statistics is outdated'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSUPDSTATWANTED.TABLENAME IS 'Name of table for which statistics is outdated'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSUPDSTATWANTED.COLUMNNAME IS 'Name of a column for which statistics is outdated'""")

    # Table sysdba.sysupgradehistory

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.SYSUPGRADEHISTORY IS 'Information when and with which version of the database software an implicit upgrade had to be performed on a certain component'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSUPGRADEHISTORY.KERNELVERSION IS 'Version of the database software'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSUPGRADEHISTORY.EXECUTEDATE IS 'Time at which the implicit upgrade or the loading of the system tables occurred'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSUPGRADEHISTORY.COMPONENT IS 'Part of the database kernel for which the implicit upgrade was executed (e.g. CATALOG, CONVERTER, LOGGING)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSUPGRADEHISTORY.DESCRIPTION IS 'Additional information about the upgrade or the version of the scripts used for loading the system tables'""")

    # Table sysdba.tablestatistics

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.TABLESTATISTICS IS 'Information about the structure and sizes of base tables'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.TABLESTATISTICS.SCHEMANAME IS 'Name of the schema of the table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.TABLESTATISTICS.OWNER IS 'Name of table owner'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.TABLESTATISTICS.TABLENAME IS 'Name of table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.TABLESTATISTICS.DESCRIPTION IS 'Description of how to interpret following columns'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.TABLESTATISTICS.CHAR_VALUE IS 'Alphanumeric value'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.TABLESTATISTICS.NUMERIC_VALUE IS 'Numeric value'""")

    # Table sysdba.sysupdatecounterwanted

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.SYSUPDATECOUNTERWANTED IS 'Information about tables and indexes whose basic statistics counter information will be initialized in the background'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSUPDATECOUNTERWANTED.SCHEMANAME IS 'Name of the schema of the table whose basic statistics counters will be initialized'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSUPDATECOUNTERWANTED.TABLENAME IS 'Name of the table whose basic statistics counters will be initialized'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSUPDATECOUNTERWANTED.INDEXNAME IS 'Name of the index whose basic statistics counters will be initialized'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.SYSUPDATECOUNTERWANTED.CANCELCOUNT IS 'Number of times the initialization of the basic statistics counter has been started but not completed because of either an explicit cancel request or because a user requested a write lock on the table.'""")

    # Table sysdba.transactions

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.TRANSACTIONS IS 'Information about active transactions of of a database instance'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.TRANSACTIONS.SESSION IS 'ID of the database session'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.TRANSACTIONS.TRANSCOUNT IS 'Transaction ID'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.TRANSACTIONS.SUB_TRANS IS 'Number of the current subtransaction'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.TRANSACTIONS.WRITE_TRANS IS 'ID of the current write transaction if the transaction has made changes'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.TRANSACTIONS.PROCESS IS 'ID of the user process'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.TRANSACTIONS.USERNAME IS 'Name of user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.TRANSACTIONS.CONNECTDATE IS 'Date when the session started'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.TRANSACTIONS.CONNECTTIME IS 'Time when the session started'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.TRANSACTIONS.TERMID IS 'Terminal ID'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.TRANSACTIONS.REQTIMEOUT IS 'Remaining time until REQUEST_TIMEOUT in seconds'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.TRANSACTIONS.LASTWRITE IS 'Time elapsed since the last write request in timeout intervals'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.TRANSACTIONS.LOCKMODE IS 'Type of lock'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.TRANSACTIONS.LOCKSTATE IS 'Status of lock'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.TRANSACTIONS.REQMODE IS 'Type of lock request'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.TRANSACTIONS.REQSTATE IS 'Status of lock request'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.TRANSACTIONS.CONSISTENTVIEW IS 'For future use'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.TRANSACTIONS.APPLPROCESS IS 'ID of the application process'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.TRANSACTIONS.APPLNODEID IS 'ID of the client host of the application process'""")

    # Table sysdba.userstatistics

    stopIfSqlNotOK (session, """COMMENT ON TABLE SYSDBA.USERSTATISTICS IS 'Information about the resource consumption of users'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.USERSTATISTICS.USERNAME IS 'Name of user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.USERSTATISTICS.USERMODE IS 'User class'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.USERSTATISTICS.PERMCOUNT IS 'Pages currently used for permanent objects'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN SYSDBA.USERSTATISTICS.TEMPCOUNT IS 'Pages currently used for temporary objects'""")

    loaderCmd (session, 'COMMIT')

    loaderCmd (session, 'INSTALLATION OFF')

    # End of Install


if __name__ == '__main__':
    connectAndInstall (install, install.__doc__)

